Автор Тема: Как установить биткойн-кошелек Electrum  (Прочитано 5793 раз)

Оффлайн woronin

  • Давно тут
  • **
  • Сообщений: 381
    • Email
Не получается запустить биткойн-кошелек Electrum
От сюда
https://electrum.org/#download
и отсюда
https://askubuntu.ru/questions/182702/kak-ustanovit-bitkojn-koshelek-electrum

почитал как установить кошелек Electrum, выполнил

# apt-get install libsecp256k1_0
$ wget https://download.electrum.org/4.0.9/Electrum-4.0.9.tar.gz.asc
$ wget https://download.electrum.org/4.0.9/Electrum-4.0.9.tar.gz
$ pip install Electrum-4.0.9.tar.gz
все поставилось, все норм! Но когда пытаюсь его запустить то он ругается
$ electrum
E | ecc_fast | failed to load libsecp256k1: LibModuleMissing('libsecp256k1 library found but it was built without required module (--enable-module-recovery)')
Error: Failed to load libsecp256k1.

Что не хватает для счастья? Как мне запустить этот кошелек на Альт P9?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 686
    • Домашняя страница
    • Email
apt-get install libsecp256k1-devel
Андрей Черепанов (cas@)

Оффлайн woronin

  • Давно тут
  • **
  • Сообщений: 381
    • Email
Этот пакет уже оказывается был установлен. Не полгечало ((
# apt-get install libsecp256k1-devel
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия libsecp256k1-devel уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 175 не будет обновлено.
$ electrum
E | ecc_fast | failed to load libsecp256k1: LibModuleMissing('libsecp256k1 library found but it was built without required module (--enable-module-recovery)')
Error: Failed to load libsecp256k1.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 686
    • Домашняя страница
    • Email
Этот пакет уже оказывается был установлен. Не полгечало ((
# apt-get install libsecp256k1-devel
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия libsecp256k1-devel уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 175 не будет обновлено.
$ electrum
E | ecc_fast | failed to load libsecp256k1: LibModuleMissing('libsecp256k1 library found but it was built without required module (--enable-module-recovery)')
Error: Failed to load libsecp256k1.
Надо писать разработчикам этого программного обеспечения.
Андрей Черепанов (cas@)